## speakup 3.1.5.dfsg.1

=== Makefile ===
INSTALL = install

SRCS = \
	cli.c \
	espeakup.c  \
	queue.c \
		softsynth.c \
	synth.c

OBJS = $(SRCS:.c=.o)

LDLIBS = -lespeak -lpthread

PREFIX = /usr
MANDIR = $(PREFIX)/share/man/man8
BINDIR = $(PREFIX)/bin

all: espeakup

install: espeakup
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 0755 $< $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)
	$(INSTALL) -m 0644 espeakup.8 $(DESTDIR)$(MANDIR)

clean:
	$(RM) $(OBJS)

distclean: clean
	$(RM) espeakup

espeakup: $(OBJS)

cli.o: cli.c espeakup.h

espeakup.o: espeakup.c espeakup.h

queue.o: queue.c espeakup.h

softsynth.o: softsynth.c espeakup.h

synth.o: synth.c espeakup.h

%.o: %.c
	$(CC) -c -Wall $(CFLAGS) $(CPPFLAGS) -o $@ $<

## speakup 3.1.5.dfsg.1-0ubuntu1

=== debian/changelog ===
speakup (3.1.5.dfsg.1-0ubuntu1) maverick; urgency=low

  * New upstream git snapshot
  * debian/control: Bump Standards-Version to 3.9.1 (no change needed)
  * Add a speakup-dkms package, allowing speakup modules to be built using
    dkms on package install

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 06 Aug 2010 11:28:14 +1000

speakup (3.1.4.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.8.4 (no change needed).
  * Cherry-Pick 1d0f3bad to fix hangs of 2.6.33 kernels on speakup bleeps.
  * debian/watch: mangle version to drop the dfsg part.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2010 00:02:20 +0100

speakup (3.1.3+git20100110.dfsg.1-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/speakup-tools.manpages: Use upstream manpages.
  * debian/control: Drop duplicate Section: admin field.
  * debian/watch: Add.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Jan 2010 00:30:09 +0100

speakup (3.1.3-4) unstable; urgency=low

  * debian/{control,rules,copyright}: remove the espeakup binary package, as it
    now has its own source package.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Sep 2009 21:01:34 +0200

speakup (3.1.3-3) unstable; urgency=low

  * tools/talkwith: fix >& bashism (Closes: #547765).
  * debian/rules: fix update-rc.d parameter.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2009 10:22:56 +0200

speakup (3.1.3-2) unstable; urgency=low

  * debian/speakupconf.1: Fix "restore" command into "load".
  * debian/control: Bump Standards-Version to 3.8.3 (no change needed).
  * debian/espeakup.init (Closes: #547046):
    - move module-init-tools to Should-Start as we do not really depend on it,
      but just need to have speakup modules loaded if they are loaded through
      module-init-tools.
    - add $remote_fs to Required-Start since we need to access /usr files.
  * debian/rules:
    - Set DEB_DH_INSTALLINIT_ARGS to -R to shorten the time during which
      speech is disabled
    - Set DEB_UPDATE_RCD_PARAMS to start 46 S to start espeakup as early as
      possible.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Aug 2009 22:20:22 +0200

speakup (3.1.3-1) unstable; urgency=low

  * New upstream release. Fixes build with 2.6.31 kernels.
  * debian/control: add Multi-Arch: foreign header.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Aug 2009 02:22:17 +0200

speakup (3.1.2+git20090727.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add cpio to Build-Depends (closes: Bug#536916).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 Jul 2009 10:34:33 -0400

speakup (3.1.1+git20090705.dfsg.1-1) unstable; urgency=low

  * New upstream snapshot.
    - Remove speakwith tool and manpage.
  * Bump Standards-Version to 3.8.2 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jul 2009 17:31:45 +0200

speakup (3.0.4.dfsg.1-2) unstable; urgency=low

  * Cherry-pick fix cf31e195876e695f6d021fe858a6612b82513062 from git to fix
    speakupconf.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 Jun 2009 02:47:47 +0200

speakup (3.0.4.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Add a /etc/default/espeakup configuration file.
  * control: Change my email, remove DM-Upload-Allowed.  Add Vcs-Git and
    Vcs-Browser.
  * Patch speakup-tools scripts into getting run under bash
    (Closes: Bug#530192).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 May 2009 01:48:36 +0200

speakup (3.0.3+git20090404.dfsg.1-1) unstable; urgency=low

  * New upstream snapshot. Drop patch-espeakup, merged upstream.
  * Bump Standards-Version to 3.8.1, no changes needed.

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Sat, 04 Apr 2009 14:01:16 +0200

speakup (3.0.3+git20090303.dfsg.1-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot, fixes dectlk and decext flow control
    leading to crash, 2.6.27 kernel build (Closes: #510100), rmmod
    speakup_soft.
  * Add README.Debian, Bugs.txt and To-Do to speakup-doc, remove contrib.
  * Add myself to uploaders.
  * Set DM-Upload-Allowed to yes.
  * New espeakup and speakup-tools packages.
    - Add libespeak-dev Build-Depends.
    - Add speakup.init script.
    - Add manpages for speakupconf, speakwith and talkwith.

 -- Samuel Thibault <samuel.thibault@ens-lyon.org>  Tue, 03 Mar 2009 21:38:43 +0100

speakup (3.0.3+git20080724.dfsg.1-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot (fixes arm, armel and sparc compilation).
  * Fix the clean target into using the given kernel version and path.
  * Document how to load speakup from initrd.

 -- Mario Lang <mlang@debian.org>  Thu, 24 Jul 2008 21:44:46 +0100

speakup (3.0.2+git20080517.dfsg.1-2) unstable; urgency=low

  [ Samuel Thibault ]
  * Ship only the src/ directory in speakup-source, to get a clean
    linux-modules-extra-2.6 compilation.
  * Update to policy 3.8.0 (no changes needed).

 -- Mario Lang <mlang@debian.org>  Tue, 17 Jun 2008 18:07:51 +0200

speakup (3.0.2+git20080517.dfsg.1-1) unstable; urgency=low

  [ Samuel Thibault ]
  * Initial release.

 -- Mario Lang <mlang@debian.org>  Fri,  9 June 2008 18:09:03 +0100

=== debian/control ===
Source: speakup
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0.37), bzip2, cpio
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-a11y/speakup
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/speakup.git
Homepage: http://linux-speakup.org/

Package: speakup-source
Architecture: all
Depends: debhelper (>= 5.0.37), module-assistant, bzip2, ${misc:Depends}
Suggests: kernel-package
Description: Source of the speakup kernel modules
 Speakup allows you to interact with applications and the GNU/Linux
 operating system with audible feedback from the console using a
 synthetic speech device.
 .
 Speakup allows you to navigate around the screen using the typical
 screen review functions such as say word, say line, announce cursor
 position, which console your currently on, and much, much more. It
 also allows one to load in configuration parameters for controlling
 various aspects of the synthesizer you are using, as well as speakup
 itself.
 .
 Currently, the following synthesizers are supported by speakup:
  * DoubleTalk PC/LT
  * LiteTalk
  * Accent PC/SA
  * Speakout
  * Artic Transport
  * Audapter
  * Braille 'N Speak / Type 'N Speak
  * Dectalk External and Express
  * the Apollo2
  .
  This package provides the source code for the speakup kernel modules.
  Kernel source or headers are required to compile these modules. For
  basic install steps see /usr/share/doc/speakup-source/README.Debian.gz

Package: speakup-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for speakup kernel modules
 Speakup allows you to interact with applications and the GNU/Linux
 operating system with audible feedback from the console using a
 synthetic speech device.
 .
 Speakup allows you to navigate around the screen using the typical
 screen review functions such as say word, say line, announce cursor
 position, which console your currently on, and much, much more. It
 also allows one to load in configuration parameters for controlling
 various aspects of the synthesizer you are using, as well as speakup
 itself.
 .
 Currently, the following synthesizers are supported by speakup:
  * DoubleTalk PC/LT
  * LiteTalk
  * Accent PC/SA
  * Speakout
  * Artic Transport
  * Audapter
  * Braille 'N Speak / Type 'N Speak
  * Dectalk External and Express
  * the Apollo2
  .
  This package provides the documentation for the speakup kernel modules.

Package: speakup-tools
Architecture: all
Depends: ${misc:Depends}
Suggests: speechd-up, espeakup
Description: Tools to manage speakup configuration and synths
 This package contains tools to manage speakup's configuration and synths.
 .
 - speakupconf allows to save and restore speakup's customizable variables.
 - talkwith allows to easily switch between speech synthesizers.

Package: speakup
Architecture: i386 amd64
Depends: ${misc:Depends}, dkms, linux-libc-dev, libc6-dev, linux-headers-generic [i386 amd64] | linux-headers
Description: Source of the speakup kernel modules
 Speakup allows you to interact with applications and the GNU/Linux
 operating system with audible feedback from the console using a
 synthetic speech device.
 .
 Speakup allows you to navigate around the screen using the typical
 screen review functions such as say word, say line, announce cursor
 position, which console your currently on, and much, much more. It
 also allows one to load in configuration parameters for controlling
 various aspects of the synthesizer you are using, as well as speakup
 itself.
 .
 Currently, the following synthesizers are supported by speakup:
  * DoubleTalk PC/LT
  * LiteTalk
  * Accent PC/SA
  * Speakout
  * Artic Transport
  * Audapter
  * Braille 'N Speak / Type 'N Speak
  * Dectalk External and Express
  * the Apollo2
  .
  This package provides the source code for the speakup kernel modules,
  which will be built on package install.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS ?= -Wall -g

# For DKMS
DRIVER_NAME := speakup
VERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1 | cut -d\: -f2)
PKG_kernel_src  := speakup
ARCH := $(shell dpkg --print-architecture)
ifeq ($(ARCH),amd64)
ARCH_SUFFIX=x86_64
else
ARCH_SUFFIX=i386
endif

DEB_DH_INSTALLINIT_ARGS = -R
DEB_UPDATE_RCD_PARAMS = start 46 S .

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

DEB_INSTALL_DOCS_speakup-tools = contrib/README

install/speakup-source::
	# Enforce executable bit on debian/rules, and create
	# directory structure for modules source
	install -D -m 0755 debian/rules.modules \
		debian/tmp/modules/speakup/debian/rules
	
	# Prepare the other debian stuff
	for f in *.modules.in control compat copyright changelog; do \
		install -m 0644 debian/$$f \
			debian/tmp/modules/speakup/debian/; \
	done
	
	# Prepare upstream source
	(cd src ; find . -printf "%P\n" | \
		cpio -admp ../debian/tmp/modules/speakup/ )
		
	# Prepare the debian source tarball
	tar jcf debian/speakup-source/usr/src/speakup.tar.bz2 \
		-C debian/tmp modules

binary-install/speakup-doc::
	dh_installdocs

configure/$(PKG_kernel_src)::
	#Replace important strings
	for i in dkms.conf \
		$(PKG_kernel_src).install; do \
		sed -e "s|#VERSION#|$(VERSION)|"   \
			-e "s|#ARCH#|$(ARCH_SUFFIX)|"   \
			debian/$$i.in > debian/$$i;      \
	done

clean::
	rm -f debian/dkms.conf \
	debian/$(PKG_kernel_src).install
	rm -Rf $(CURDIR)/$(PKG_kernel_src)
	rm -f stamp-patch

## speakup 3.1.6.dfsg.1

=== src/Makefile ===
KERNELDIR = /lib/modules/`uname -r`/build

all: modules

modules:
	make -C $(KERNELDIR) M=`pwd` `cat allmodule.mk` 

modules_install:
	make INSTALL_MOD_DIR=speakup -C $(KERNELDIR) M=`pwd` `cat allmodule.mk` $@

clean:
	make -C $(KERNELDIR) M=`pwd` `cat allmodule.mk` $@

=== debian/changelog ===
speakup (3.1.6.dfsg.1-7) unstable; urgency=medium

  * watch: Generalize pattern.
  * control: Update alioth list domain.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * control: Bump debhelper compat to 12.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 02:03:14 +0100

speakup (3.1.6.dfsg.1-6) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Aug 2019 00:55:15 +0200

speakup (3.1.6.dfsg.1-5) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * control: Mark speakup-doc Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 17:10:01 +0100

speakup (3.1.6.dfsg.1-4) unstable; urgency=medium

  * patches: Switch to 3.0 patch system.
  * control: Remove Mario from Uploaders (Closes: Bug#840871).
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.4.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 17:31:19 +0200

speakup (3.1.6.dfsg.1-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.6 (no changes).
  * compat: Bump to 9.
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:10:16 +0100

speakup (3.1.6.dfsg.1-2) unstable; urgency=low

  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Drop speakup-tools package, now maintained separately upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:59:06 +0100

speakup (3.1.6.dfsg.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jan 2012 17:23:10 +0100

speakup (3.1.5.dfsg.1-2) unstable; urgency=low

  * debian/speakup.postinst and debian/speakup.prerm: Drop duplicate
    #DEBHELPER#.
  * Bump Standards-Version to 3.9.2 (no change needed)
  * Remove speakup-source binary packages (Closes: #604643, #651859) and
    rules. Thanks Ben Hutchings for the patch!

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Jan 2012 14:30:06 +0100

speakup (3.1.5.dfsg.1-1) unstable; urgency=low

  * New upstream fix-only release.
    Also cherry-pick upstream fixes up to de98895e.
  * debian/control: Bump Standards-Version to 3.9.1 (no change needed).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Aug 2010 21:34:33 +0200

=== debian/control ===
Source: speakup
Section: admin
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), bzip2, cpio
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/a11y-team/speakup.git
Vcs-Browser: https://salsa.debian.org/a11y-team/speakup
Homepage: http://linux-speakup.org/

Package: speakup-doc
Section: doc
Architecture: all
Multi-arch: foreign
Depends: ${misc:Depends}
Description: Documentation for speakup kernel modules
 Speakup allows you to interact with applications and the GNU/Linux
 operating system with audible feedback from the console using a
 synthetic speech device.
 .
 Speakup allows you to navigate around the screen using the typical
 screen review functions such as say word, say line, announce cursor
 position, which console your currently on, and much, much more. It
 also allows one to load in configuration parameters for controlling
 various aspects of the synthesizer you are using, as well as speakup
 itself.
 .
 Currently, the following synthesizers are supported by speakup:
  * DoubleTalk PC/LT
  * LiteTalk
  * Accent PC/SA
  * Speakout
  * Artic Transport
  * Audapter
  * Braille 'N Speak / Type 'N Speak
  * Dectalk External and Express
  * the Apollo2
 .
 This package provides the documentation for the speakup kernel modules.

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// \
ftp://linux-speakup.org/pub/speakup/speakup-@ANY_VERSION@@ARCHIVE_EXT@
